a {
    color: white;
    text-decoration: none;
    transition: color 0.2s ease;
}

a:hover {
    color: #0078d5;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: #0f0f0f;
    color: #fff;
}

header {
    max-width: 1000px;
    margin: 0 auto;
    border-bottom: 2px solid #1e90ff;
    box-shadow:
    -10px 0 20px rgba(30, 144, 255, 0.3),
     10px 0 20px rgba(30, 144, 255, 0.3);
    transition: box-shadow 0.3s ease;
}

header:hover {
    box-shadow: 
        -10px 0 20px rgba(30, 144, 255, 0.7),
         10px 0 20px rgba(30, 144, 255, 0.7);
}

header img {
    width: 100%;
    max-height: 200px;
    object-fit: cover;
    display: block;
}

/* NAV */
nav {
    background: #1f1f1f;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    position: sticky;
    top: 0;
    z-index: 1000;
    box-shadow: 0 -5px 10px rgba(30, 144, 255, 0.2);
}

nav a {
    color: white;
    text-decoration: none;
    padding: 12px 14px;
    display: block;
    transition: background 0.2s ease, color 0.2s ease;
}

nav a:hover {
    background: #0078d5;
    color: black;
}

nav a.active {
    background: #1e90ff;
    color: black;
}

/* MOBILE MENU BUTTON */
.menu-toggle {
    display: none;
    padding: 12px;
    cursor: pointer;
    background: #222;
    text-align: center;
    color: white;
}

/* CONTENT */
main {
    max-width: 1000px;
    margin: auto;
    padding: 20px;
}

.card {
    background: #1a1a1a;
    padding: 20px;
    margin-bottom: 15px;
    border-radius: 10px;
    border-left: 4px solid #0078d5;
    border-right: 4px solid #0078d5;
    overflow: hidden;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.card:hover {
    border-left: 4px solid #1e90ff;
    border-right: 4px solid #1e90ff;
    box-shadow: 0 5px 10px rgba(30, 144, 255, 0.4);

}

h2 {
    display: inline-block;
    color: #fff;
    text-shadow: 0 0 5px rgba(0, 120, 213, 0.8);
    border-bottom: 1px solid #0078d5;
    padding-bottom: 2px;
}

h2:hover {
    text-shadow: 0 0 20px rgba(0, 120, 213, 1);
}

img {
    max-width: 100%;
    height: auto;
}

/* FOOTER */

footer {
    text-align: center;
    padding: 15px;
    background: #1b1b1b;
    font-size: 12px;
    box-shadow: 0 -5px 10px rgba(30, 144, 255, 0.2);
}

.banner {
    transition: all 0.25s ease;
    border-radius: 6px;
}

.banner:hover {
    transform: scale(1.03);
    box-shadow: 0 10px 25px rgba(0,0,0,0.6);
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    list-style: none;
    padding: 0;
}

.grid2 {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    list-style: none;
    padding: 0;
}

.about {
    display: flex;
    gap: 20px;
    align-items: flex-start;
    flex-direction: row-reverse;
}

.avatar {
    width: 150px;
    height: 150px;
    margin-top: 30px;
    border-radius: 10px;
    object-fit: cover;
    border: 2px solid #0078d5;
    transition: transform 0.2s ease;
}

.avatar:hover {
    transform: scale(1.04);
    border: 2px solid #1e90ff;
}

.about-text {
    flex: 1;
}

.music-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.music-card {
    background: #1a1a1a;
    padding: 20px;
    border-radius: 12px;
    text-align: center;
    text-decoration: none;
    color: white;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    border: 2px solid #0078d5;
}

.music-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0,0,0,0.5);
    border: 2px solid #1e90ff;
}

.music-title {
    margin-top: 6px;
    font-size: 16px;
}

.music-icon {
    font-size: 40px;
    margin-bottom: 6px;
}

.tv-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 12px;
}

.tv-card {
    background: #1a1a1a;
    padding: 15px;
    border-radius: 10px;
    border: 1px solid #0078d5;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.tv-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0,0,0,0.5);
    border: 1px solid #1e90ff;
}

.tv-title {
    font-weight: bold;
    margin-bottom: 5px;
}

.tv-meta {
    font-size: 12px;
    color: #aaa;
}

.contact-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
}

.contact-card {
    background: #1a1a1a;
    padding: 20px;
    border-radius: 12px;
    text-align: center;
    text-decoration: none;
    color: white;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    border: 2px solid #0078d5;
}

.contact-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0,0,0,0.5);
    border: 2px solid #1e90ff;
}

.contact-img {

    object-fit: contain;
    margin-bottom: 10px;
    transition: transform 0.2s ease;
}

.contact-card:hover .contact-img {
    transform: scale(1.1);
}

.contact-title {
    font-size: 16px;
}


/* RESPONSIVE */
@media (max-width: 768px) {
    nav {
        display: none;
        flex-direction: column;
        width: 100%;
    }

    nav.active {
        display: flex;
    }

    .menu-toggle {
        display: block;
    }
    .grid2 {
        grid-template-columns: 1fr;
    }
    .about {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .avatar {
        margin-top: 5px;
        margin-bottom: 5px;
    }

.music-grid {
        grid-template-columns: 1fr;
    }

.tv-grid {
        grid-template-columns: 1fr;
    }

.contact-grid {
        grid-template-columns: 1fr;
    }
